# $Revision: 1.37 $, $Date: 2008/07/27 22:27:30 $
Summary:	Mounts and unmounts file systems
Summary(pl.UTF-8):	Montuje i odmontowuje systemy plików
Name:		wmmount
Version:	1.0
Release:	7
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://www.geocities.com/SiliconValley/Vista/2471/%{name}.tgz
# Source0-md5:	f77926476c52cda5e52deb731784341a
Source1:	%{name}.desktop
Patch0:		%{name}-conf.patch
Patch1:		%{name}-ComplexProgramTargetNoMan.patch
Patch2:		%{name}-g++.patch
BuildRequires:	libstdc++-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-imake
Requires(post):	/bin/awk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a little application that sits in your WindowMaker's Dock and
allows you to automatically mount (and unmount) pre-defined mount
points and launch your favorite (pre-defined) file manager when you
double click on the drive icon.

%description -l pl.UTF-8
Dokowalna aplikacja dla WindowMakera, która pozwala na automatyczne
montowanie (i odmontowywanie) zdefiniowanych punktów montowania oraz
na uruchomienie ulubionego zarządcy plików przez dwukrotne kliknięcie
na ikonę napędu.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
xmkmf
%{__make} \
	CXXDEBUGFLAGS="%{rpmcflags}" \
	CXX="%{__cc}"
touch system.wmmount

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}/icons} \
	$RPM_BUILD_ROOT%{_desktopdir}/docklets

install %{name} $RPM_BUILD_ROOT%{_bindir}

install EXTRAS/* $RPM_BUILD_ROOT%{_datadir}/%{name}/icons
install system.wmmount.awk $RPM_BUILD_ROOT%{_datadir}/%{name}
install system.wmmount $RPM_BUILD_ROOT%{_datadir}/%{name}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
cd %{_datadir}/%{name}
./system.wmmount.awk > system.wmmount

%files
%defattr(644,root,root,755)
%doc README system.wmmount.eg home.wmmount.eg
%attr(755,root,root) %{_bindir}/%{name}

%dir %{_datadir}/%{name}
%attr(755,root,root) %{_datadir}/%{name}/system.wmmount.awk
%config %verify(not md5 mtime size) %{_datadir}/%{name}/system.wmmount

%{_datadir}/%{name}/icons
%{_desktopdir}/docklets/wmmount.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmmount.spec,v $
Revision 1.37  2008/07/27 22:27:30  arekm
- release 7

Revision 1.36  2007-02-12 22:09:21  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:37  baggins
- converted to UTF-8

Revision 1.34  2006/08/23 12:57:04  havner
- modular xorg deps
- rel 6

Revision 1.33  2006/03/09 14:35:11  glen
- quote %{__cc}

Revision 1.32  2005/06/06 17:05:30  zbyniu
- BR: libstdc++-devel; sorted verify() flags

Revision 1.31  2004/08/08 15:30:25  yogib
- switched to vfolders

Revision 1.30  2003/09/02 10:23:24  havner
- prefix changed to /usr

Revision 1.29  2003/05/28 13:02:55  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:27:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/02/28 10:09:02  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.26  2003/02/10 23:00:45  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.25  2003/01/18 22:57:42  juandon
- removed two lines with define

Revision 1.24  2002/11/30 23:00:30  juandon
- new %%doc

Revision 1.23  2002/02/23 05:10:58  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:30:00  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/18 02:15:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/12/20 11:43:27  qboosh
- updated Groups, release 4

Revision 1.19  2001/12/02 06:33:10  kloczek
- pass CXXDEBUGFLAGS="%%{rpmcflags}" CXX=%%{__cc} to make parameters.

Revision 1.18  2001/11/28 00:09:10  blues
- release 3
- ComplexProgramTargetNoMan.patch added
- more macros

Revision 1.17  2001/11/25 16:02:32  blues
- removed desktops

Revision 1.16  2001/11/21 02:26:51  blues
- s/Copyright/License/
- cosmetic in files

Revision 1.15  2001/08/22 17:29:54  filon
- removed stripping executables, it's done by rpm automation

Revision 1.14  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.13  2000/06/09 07:55:14  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.9  1999/11/27 02:59:15  pius
- added using more rpm macros
- cosmetics

Revision 1.8  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.7  1999/09/04 08:53:50  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.6  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.5  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue May 25 1999 Piotr Czerwiński <pius@pld.org.pl>
  [1.0-1]
- initial RPM release.
